URL:
https://<catalog-url>/<serviceName>/GPServer
Methods:
GETPOST
Child Resources:
Task
Required Capability:
ArcGIS Enterprise Standard
Version Introduced:
9.3

Description

The GPServer resource provides basic information associated with the service, including the service description, the tasks provided, the operation type, maximum number of records allowed in the result, allowed operations, JSON schema for all data types, and the result's map server name when applicable. Starting at ArcGIS Server 11.1, the JSON schema uses the Draft 7 version from json-schema.org, and will be available for all geoprocessing services.

Child resources

The Info child resource is always available to any geoprocessing service. If the upload capability is enabled, the uploads child resource will be available. To enable the uploads capability, turn on the Upload option during publishing, or edit the service properties in Server Manager.

Request parameter

ParameterDetails

f

(Optional)

The response format. Default is html.

Values: html | json | pjson

Example usages

The following is a sample request URL for the 911 call hot spot analysis on sampleserver6 with a JSON response format:

Use dark colors for code blocksCopy
1
https://sampleserver6.arcgisonline.com/arcgis/rest/services/911CallsHotspotPro/GPServer?f=json

The following is a sample POST request for the 911 call hot spot analysis on sampleserver6 with a JSON response format:

Use dark colors for code blocksCopy
1
2
3
4
5
6
POST /arcgis/rest/services/911CallsHotspotPro/GPServer HTTP/1.1
Host: sampleserver6.arcgisonline.com
Content-Type: application/x-www-form-urlencoded
Content-Length: []

f=json

JSON Response schema

The syntax will vary slightly depending on the ArcGIS Server version and where the geoprocessing service is published from. Some earlier versions of ArcGIS Server do not have currentVersion or schema available.

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "GPServer Endpoint Schema",
  "description": "JSON Schema (2020-12) for ArcGIS GPServer responses.",
  "type": "object",
  "required": [
    "currentVersion",
    "serviceDescription",
    "tasks",
    "executionType",
    "resultMapServerName",
    "maximumRecords",
    "capabilities"
  ],
  "properties": {
    "currentVersion": {
      "description": "ArcGIS Server version",
      "type": "number"
    },
    "cimVersion": {
      "description": "ArcGIS Pro runtime version",
      "type": "string"
    },
    "serviceDescription": {
      "description": "Description of the service",
      "type": "string"
    },
    "tasks": {
      "description": "List of task display names",
      "type": "array",
      "items": {
        "type": "string"
      },
      "uniqueItems": true
    },
    "taskNames": {
      "description": "Internal task names",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "executionType": {
      "description": "Execution type of GP service",
      "type": "string",
      "enum": [
        "esriExecutionTypeAsynchronous",
        "esriExecutionTypeSynchronous"
      ]
    },
    "resultMapServerName": {
      "description": "Result map service name",
      "type": "string"
    },
    "maximumRecords": {
      "description": "Maximum number of records returned",
      "type": "integer",
      "minimum": 1
    },
    "capabilities": {
      "description": "Comma separated capabilities",
      "type": "string",
      "enum": [
        "",
        "Uploads",
        "Validate",
        "Uploads,Validate"
      ]
    },
    "provider": {
      "description": "Provider type (e.g., ArcObjects11)",
      "type": "string"
    },
    "schema": {
      "description": "Reference to external JSON schema",
      "type": "object",
      "required": ["json-schema"],
      "properties": {
        "json-schema": {
          "type": "object",
          "required": ["url"],
          "properties": {
            "url": {
              "type": "string",
              "format": "uri"
            }
          },
          "additionalProperties": false
        }
      },
      "additionalProperties": false
    }
  },
  "additionalProperties": true
}

JSON Response examples

Example One: Older server version response

This is a sample JSON response to the 911 Calls Hotspot tool. A request can be made using the GET request example in the Example Usage section above.

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
{
 "currentVersion": 10.91,
 "cimVersion": "2.9.0",
 "serviceDescription": "This geoprocessing service is based on a series of analysis including integrate, collect events, hotspot analysis (Getis-Ord Gi*), natural neighbor, and reclassify.",
 "tasks": [
  "911 Calls Hotspot"
 ],
 "executionType": "esriExecutionTypeAsynchronous",
 "resultMapServerName": "",
 "maximumRecords": 1000,
 "capabilities": ""
}

Example Two: Response with JSON schema URL

This is a sample JSON response for a file processing geoprocessing service published from ArcGIS Pro 3.1 to ArcGIS Server 11.1.

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
 "currentVersion": 11.1,
 "cimVersion": "3.1.0",
 "serviceDescription": "This geoprocessing service allows users to upload their files containing field survey results for spatial processing.",
 "tasks": [
  "Processing for Northern Districts",
  "Batch Processing",
  "PDF Processing"
 ],
 "executionType": "esriExecutionTypeAsynchronous",
 "resultMapServerName": "",
 "maximumRecords": 1000,
 "capabilities": "Uploads",
 "schema": {
  "json-schema": {
    "url": "https://organization.example.com/<context>/rest/directories/arcgisoutput/FileProcessing_GPServer/FileProcessing/spec/json-schema.json"
    }
 }
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.